%define napi_bash_prefix /usr
%define debug_package %{nil}

Summary:	Lightweight, easy and fast polish subtitle downloader from the napiprojekt.pl
Name:		napi-bash
Version:	1.1.2
Release:	1%{?dist}
License:	GPLv3
URL:		http://3ed.github.io/napi-bash/
Source0:	https://github.com/3ed/%{name}/archive/v%{version}.tar.gz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	automake autoconf make
BuildRequires:	bash curl p7zip coreutils findutils
Requires:	bash curl p7zip coreutils findutils

%description
Napi-bash służy do pobierania napisów z NapiProjektu. Posiada elastyczne rekursywne przeszukiwani, współbierzne pobieranie i konwertowanie pomiędzy formatami. Założenia programu to prostota, lekkość, szybkość, przenośność, jak najmniejsze wymagania, a przy tym możliwość wpływania i rozszerzania... Interfejs: cli lub notyfikacja systemowa (gdy uruchomiony np. jako akcja menadżera plików).

%prep
%setup -q -n %{name}-%{version}

%build
[ ! -e configure ] && ./autogen.sh
%configure --prefix=%{napi_bash_prefix}
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.md
%{_docdir}/%{name}/README.md
%{_bindir}/napi-bash
%{_mandir}/man*/napi-bash.*.gz
%{_datadir}/bash-completion/completions/napi-bash
%{_datadir}/zsh/site-functions/_napi-bash
%{napi_bash_prefix}/lib/%{name}/**/*

%changelog
* Tue Feb 18 2020 3ED <krzysztof1987@gmail.com> - 1.1.2-1
- Fix: checking bash version

* Mon Nov 23 2015 3ED <krzysztof1987@gmail.com> - 1.1.0-2
- Fix: add Requires as BuildRequires
- Fix: add _docdir in files
- Reupload for more coopr from copr

* Mon Nov 23 2015 3ED <krzysztof1987@gmail.com> - 1.1.0-1
- Initial RPM

